PETSc version 3.15.5
Fix/Edit manual page

# TaoComputeGradient

Computes the gradient of the objective function

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeGradient(Tao tao, Vec X, Vec G)

Collective on Tao

### Input Parameters

| tao | - the Tao context
| X | - input vector

### Output Parameter

| G | - gradient vector

### Options Database Keys

| -tao_test_gradient | - compare the user provided gradient with one compute via finite differences to check for errors
| -tao_test_gradient_view | - display the user provided gradient, the finite difference gradient and the difference between them to help users detect the location of errors in the user provided gradient

### Notes

TaoComputeGradient() is typically used within minimization implementations, so most users would not generally call this routine themselves.

### See Also

TaoComputeObjective(), TaoComputeObjectiveAndGradient(), TaoSetGradientRoutine()

### Level

advanced

### Location

src/tao/interface/taosolver_fg.c

### Examples

src/tao/tutorials/ex4.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages